<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
StoreValuesFromDatabase Method (IEdmEnumeratorVariable5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable5 Interface : StoreValuesFromDatabase Method (IEdmEnumeratorVariable5)

Visual Basic
C#
C++/CLI

lFolderID
  ID of the file's parent folder

bOnlyMissingValues
  True to only copy variables without a value, false to copy all variables

poProgressCb
  Not used

Copies file data card data from the SOLIDWORKS PDM Professional database to the file.

# Syntax

Visual Basic |
--- | ---

    Sub StoreValuesFromDatabase( _
       ByVal lFolderID As System.Integer, _
       ByVal bOnlyMissingValues As System.Boolean, _
       Optional ByVal poProgressCb As EdmCallback _
    )

C# |
--- | ---

    void StoreValuesFromDatabase(
       System.int lFolderID,
       System.bool bOnlyMissingValues,
       EdmCallback poProgressCb
    )

C++/CLI |
--- | ---

    void StoreValuesFromDatabase(
    &   System.int lFolderID,
    &   System.bool bOnlyMissingValues,
    &   EdmCallback^ poProgressCb
    )

#### Parameters

lFolderID
  ID of the file's parent folder
bOnlyMissingValues
  True to only copy variables without a value, false to copy all variables
poProgressCb
  Not used

# Remarks

This method corresponds to the SOLIDWORKS PDM Professional user interface right-click menu command, Update File Attributes from Database.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_FILE: The file format is not recognized.
- E_EDM_FILE_SHARE_ERROR: The file is exclusively opened in another application.
- E_EDM_IO_ERROR: Error writing data to the file.

# See Also

####

IEdmEnumeratorVariable5 Interface
IEdmEnumeratorVariable5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2